On Mon, Dec 8, 2014 at 10:44 AM, Naveen Mc <naveen.mc@gmail.com> wrote:
Hi,
I am facing the following issue when i try to sync master and mirror svn repositories. Any idea how do i fix this.Is it svn 1.5 known bug? Please help.

OS - AIX/Linux
SVN Version - 1.5
ERROR:
   - Failed to sync apd repos [ <mirror repository path>].
The assert subroutine failed: window->sview_len == 0 || (window->sview_offset >= ab->sbuf_offset && (window->sview_offset + window->sview_len >= ab->sbuf_offset + ab->sbuf_len)
), file subversion/libsvn_delta/text_delta.c, line 609 /afs/awd/projects/eclipz/common/tools/bin/svnsync[30]: 11731186 IOT/Abort trap(coredump)

There are two potential sources for this problem:

* Source or target repository is corrupt.
  Verify them using "svnadmin verify".
* Faulty code uses an uninitialized / dangling data struct.
  Retry with a more recent svnsync and / or server binary.

The assertion triggered here is still present in the latest SVN code,
so that part is probably correct and the problem somewhere in the
calling layer or the data. That said, SVN 1.5 is no longer supported
and we strongly suggest that to upgrade to a newer version.

-- Stefan^2.